<div class="mb-4">
  {{component @labelComponent}}

  {{#if (or (eq @type "text") (eq @type "password"))}}
    <EmberValidatedFormComponents::Input @type={{@type}} @value={{@value}} @update={{@update}}/>
  {{/if}}

  {{component @hintComponent}}
  {{component @errorComponent}}
</div>